NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Properties | List of all members
NXOpen.Annotations.PmiBoltCircleCenterlineBuilder Class Reference

Builder for creating or editing PMI Bolt Circle Centerline More...

Inheritance diagram for NXOpen.Annotations.PmiBoltCircleCenterlineBuilder:
NXOpen.Annotations.BaseBoltCircleCenterlineBuilder NXOpen.Annotations.CircleCenterlineBuilder NXOpen.Annotations.CenterlineBuilder NXOpen.Annotations.BaseSymbolBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Properties

unsafe
NXOpen.Annotations.AssociatedObjectsBuilder 
AssociatedObjects [get]
 Returns the associated objects for the center mark More...
 
unsafe
NXOpen.Annotations.PlaneBuilder 
Plane [get]
 Returns the plane for the creation of center mark More...
 

Additional Inherited Members

- Public Types inherited from NXOpen.Annotations.CircleCenterlineBuilder
enum  Types { Through3Points, Centerpoint }
 the valid enumeration used for the creation types, applicable only while creation Once created type centerpoint will be set for all bolt circle/circular centerline More...
 
- Public Member Functions inherited from NXOpen.Annotations.CircleCenterlineBuilder
unsafe void RemoveLocation (int index)
 Removes location object for a given index from the Select Object List. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Builder for creating or editing PMI Bolt Circle Centerline

To create a new instance of this class, use NXOpen.Annotations.CenterlineCollection.CreatePmiBoltCircleCenterlineBuilder

Default values.

Property Value

FullCircle

true

Type

Through3Points

Created in NX12.0.0

Property Documentation

unsafe NXOpen.Annotations.AssociatedObjectsBuilder NXOpen.Annotations.PmiBoltCircleCenterlineBuilder.AssociatedObjects
get

Returns the associated objects for the center mark

Created in NX12.0.0

License requirements: None.

unsafe NXOpen.Annotations.PlaneBuilder NXOpen.Annotations.PmiBoltCircleCenterlineBuilder.Plane
get

Returns the plane for the creation of center mark

Created in NX12.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.